Sazabi
APIWebhooks

List webhook deliveries

List delivery history for an endpoint

GET https://api.sazabi.com/v1/webhooks/{webhookId}/deliveries

GET
/webhooks/{webhookId}/deliveries

Path Parameters

webhookId*string

Webhook endpoint whose deliveries to list.

Formatuuid

Query Parameters

cursor?string

Cursor returned by a previous deliveries response.

Formatuuid
limit?integer

Maximum number of deliveries to return.

Range1 <= value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"
{  "deliveries": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "notificationType": "string",      "outcome": "authorized",      "attempts": 0,      "error": "string",      "httpStatusCode": -9007199254740991,      "sentAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}